
import bpy, ossl.menu as menu

class OSSL_MT_Animation_export(menu.MenuFolder):
    bl_label = "OSSL Menu Animation Export"
    bl_idname = "OSSL_MT_Animation_export"

def OSSL_menu_Animation_export(self, comtext):
    self.layout.menu("OSSL_MT_Animation_export", text="export", icon="EXPORT")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Animation Export")
    bpy.utils.register_class(OSSL_MT_Animation_export)
    bpy.types.OSSL_MT_Animation.append(OSSL_menu_Animation_export)
    util.imports("ossl.types.Animation.export", "export_anim")
    util.imports("ossl.types.Animation.export", "export_bvh")
    print("registered: OSSL Type Animation Export")

def unregister():
    print("unregistering: OSSL Type Animation Export")
    util.release("ossl.types.Animation.export", "export_bvh")
    util.release("ossl.types.Animation.export", "export_anim")
    bpy.types.OSSL_MT_Animation.remove(OSSL_menu_Animation_export)
    bpy.utils.unregister_class(OSSL_MT_Animation_export)
    print("unregistered: OSSL Type Animation Export")

if __name__ == "__main__":
    util.reset_addon()
